Subject: [Sip] Re: Callerprefs: Additional Nit/editorial comments

From: Jonathan Rosenberg <[email-masked]>
Date: Wed, 02 Jul 2003 03:32:16 -0400

Mary,

Now that I've finished splitting the document, I've been able to
incorporate these nits which are still applicable. Responses below.

Mary Barnes wrote:
> I also did a detailed review of draft-ietf-sip-callerprefs-08.txt and beyond
> some of the points already made by Ben and Bob, I had the following
> additional minor NITs/Editorial comments.  There also a couple of  points
> that I'll put in separate threads as they could invoke some additional
> discussion.  Also, I did try to avoid duplicating comments made by Ben and
> Bob and apologize if I have inadvertently duplicated anything.
> 
> Footing: 
> - there is no "." in the "et" of the phrase "et al."

This is an error in the tool I was using. I've converted to xml2rfc in
the process of the split, and so this problem is now gone.

> 
> Section 3, page 7: 
> - Feature Preferences: "described" -> "describe" 

Fixed.

> - Target Set: "URI" -> "URI(s)"

Fixed.

> 
> Section 5: 
> - Para 5: "instant of time" -> "instance of time"

Fixed.

> 
> Section 7.3:
> - Last para: "featuer" -> "feature"

Fixed.

> 
> Section 7.4:
> - Para 5: I know you have an example further down in section 7.4.1, but I'm
> thinking an example after this paragraph might be useful.  I had to read the
> last few sentences many several times and I'm still not absolutely certain I
> understand it given that the example in 7.4.1 has the "require" flag set.
> So, I think another example here (or forward referenced to one in 7.4.1)
> would be extremely helpful.  

I actually added a lot of text in the UA Behavior section of the new 
draft to elaborate the behaviors as they relate to "require" and 
"explicit". I think that this text, in conjunction with the example, 
should suffice. The use cases spec also provides a lot more examples, 
so I don't want to put too many into caller prefs itself.

> 
> Section 9.6 Automata: 
> - Would IVR be considered here as well?  

Yes. I added a mention of it.

> 
> Section 9.12 Priority:
> - I would suggest changing the definition of "emergency" to "The device
> supports calls in the case of an emergency situation" as I think the phrase
> "emergency calls" tends to so closely associated with an E911 type of call,
> whereas I think this is meant to be in terms of the device being one that
> user wants to be the primary contact for personal emergency situations.

Good point. Fixed.

> 
> Section 9.15 Schemes:
> - Example of typical use: "Choosing get" -> "Choosing to get"

Fixed.

> 
> Section 9.17 Message Server:
> - Is this category intended to also apply to IVR? Or, would IVR just be
> considered automata?   

No, an IVR is not a message server.

> 
> Section 9.18 Is Focus:
> - this is just a consistency thing, but it seems that this should just be
> "Focus" rather than "isfocus" or 9.17 should be "ismsgserver". 

Its a legacy thing. We've been using isfocus in the conferencing stuff
for a while, and people are already using that specific name.

> 
> Section 17 Informative References:
> - [27] needs to be updated with the RFC number: RFC 3515

This reference isn't there any more. There is no longer a need to
enumerate the packages. I merely reference the IANA registry.

Thanks,
Jonathan R.

-- 
Jonathan D. Rosenberg, Ph.D.                600 Lanidex Plaza
Chief Scientist                             Parsippany, NJ 07054-2711
dynamicsoft
[email-masked]                     FAX:   (973) 952-5050
http://www.jdrosen.net                      PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip